Open2300 - Support Question 2007x 06x 18x 124019

Compiling mysql2300

Question

i can't compile mysql2300.

on putty i get this kind of error's

/usr/lib/mysql/libmysqlclient.a(viosslfactories.o)(.text+0x5af): In function `new_VioSSLAcceptorFd': : undefined reference to `SSL_library_init' /usr/lib/mysql/libmysqlclient.a(viosslfactories.o)(.text+0x5b4): In function `new_VioSSLAcceptorFd': : undefined reference to `OPENSSL_add_all_algorithms_noconf' /usr/lib/mysql/libmysqlclient.a(my_compress.o)(.text+0x5e): In function `my_compress_alloc': : undefined reference to `compress' /usr/lib/mysql/libmysqlclient.a(my_compress.o)(.text+0x181): In function `my_uncompress': : undefined reference to `uncompress'

so i think my version of "libmysqlclient.a" is wrong. with version of mysql client do i need?

Environment

Open2300 version: 1.10
Libraries: mysql
Server OS: Clark Connect

-- DanIel - 18 Jun 2007

Answer

Topic revision: r1 - 18 Jun 2007, DanIel
Copyright © 1999-2018 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
This website only use harmless session cookies. See Cookie Policy for details. By using this website you accept the use of these cookies.